const mix = require('laravel-mix')
const SiteomatWebpackPlugin = require('@helpers/siteomat-webpack-plugin')

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for the application as well as bundling up all the JS files.
 |
 */

mix.webpackConfig({
    module: {
        rules: [{
            test: /\.riot$/,
            use: [{
                loader: '@riotjs/webpack-loader',
                options: {
                    hot: false
                }
            }]
        }
        ]
    },
    plugins: [
        new SiteomatWebpackPlugin(
            './data',
            './views',
            {
                'minifyHtml': false
            }
        )
    ]
})

mix
    .setPublicPath('./public')
    .js('assets/js/critical.js', 'public/js')
    .js('assets/js/blog.js', 'public/js')
    .sass('assets/scss/styles.scss', 'public/css')